/** 
 * @Title: MediaAndWechatEvent.java 
 * @Package com.zhiweidata.bjfzxWebapp.entity 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author xuyimeng 
 * @date 2018年2月6日 上午9:02:18 
 * @version V1.0 
 */ /**
 * 
 */
package com.zhiweidata.bjfzxWebapp.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Transient;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

/** 
 * @ClassName: MediaAndWechatEvent 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author xuyimeng 
 * @date 2018年2月6日 上午9:02:18  
 */
@Document(collection = "mediaEvent")
public class MediaAndWechatEvent implements Serializable{
	@Transient
    private static final long serialVersionUID = -6799862774324060068L;

    @Indexed
    private String _id; // 主键

    private String url; // 文章地址

    private String title; // 标题

    private Date time; // 发布时间

    private String source; // 来源

    private String type; // 类型

    private String content; // 内容

    private Long savetime; // 入库时间

    private Long rsid; // 标识码

    private String pt; // 平台

    private String keyword; // 事件id 或者 所属关键字

    @Transient
    private Integer H;// h因子 分析获取用
    
    @Transient
    private String imgUrl;//头像图片地址，重要渠道传值使用

    private String groupName; //服务对象（北京副中心，缺陷产品信息。。。）

    public MediaAndWechatEvent() {}
    
    public MediaAndWechatEvent(String _id, String title, Date time,
            String source, String content, String type, String pt,
            String keyword,String groupName)
    {
        this._id = _id + "_" + keyword;
        this.url = _id;
        this.title = title;
        this.time = time;
        this.source = source;
        this.content = content;
        this.type = type;
        this.savetime = System.currentTimeMillis();
        this.pt = pt;
        this.keyword = keyword;
        this.groupName  = groupName;
    }

	public String get_id() {
		return _id;
	}

	public void set_id(String _id) {
		this._id = _id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Long getSavetime() {
		return savetime;
	}

	public void setSavetime(Long savetime) {
		this.savetime = savetime;
	}

	public Long getRsid() {
		return rsid;
	}

	public void setRsid(Long rsid) {
		this.rsid = rsid;
	}

	public String getPt() {
		return pt;
	}

	public void setPt(String pt) {
		this.pt = pt;
	}

	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	public Integer getH() {
		return H;
	}

	public void setH(Integer h) {
		H = h;
	}

	public String getImgUrl() {
		return imgUrl;
	}

	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	@Override
	public String toString() {
		return "MediaAndWechatEvent [_id=" + _id + ", url=" + url + ", title=" + title + ", time=" + time + ", source="
				+ source + ", type=" + type + ", content=" + content + ", savetime=" + savetime + ", rsid=" + rsid
				+ ", pt=" + pt + ", keyword=" + keyword + ", H=" + H + ", imgUrl=" + imgUrl + ", groupName=" + groupName
				+ "]";
	}
    
}
